<?php
/**
*
* @package acp
* @copyright (c) 2011 Pico
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* @package acp
*/
class acp_sidebar
{
	var $u_action;
	function main($id, $mode)
	{
		global $db, $user, $auth, $template;
		global $config, $phpbb_root_path, $phpbb_admin_path, $phpEx;

		$action = request_var('action', '');
		$submit = (isset($_POST['submit'])) ? true : false;

		if ($mode != 'index')
		{
			return;
		}

		$this->tpl_name = 'acp_sidebar';
		$this->page_title = 'ACP_SIDEBAR_SETTINGS';

		$sidebar_enable = request_var('sidebar_enable', $config['sidebar_enable']);
		$sidebar_latesttopics = request_var('sidebar_latesttopics', $config['sidebar_latesttopics']);
		$sidebar_latestposts = request_var('sidebar_latestposts', $config['sidebar_latestposts']);
		$sidebar_bookmarks = request_var('sidebar_bookmarks', $config['sidebar_bookmarks']);
		$sidebar_watchedtopics = request_var('sidebar_watchedtopics', $config['sidebar_watchedtopics']);
		$sidebar_avatars = request_var('sidebar_avatars', $config['sidebar_avatars']);
		$sidebar_positions = request_var('sidebar_positions', $config['sidebar_positions']);
		
		$form_name = 'acp_sidebar';
		add_form_key($form_name);

		if ($submit)
		{
			if (!check_form_key($form_name))
			{
				trigger_error($user->lang['FORM_INVALID']. adm_back_link($this->u_action), E_USER_WARNING);
			}
			
			if ($sidebar_positions < 3 || $sidebar_positions > 10)
			{
				trigger_error($user->lang['SIDEBAR_ERROR']. adm_back_link($this->u_action), E_USER_WARNING);
			}

			$error = array();

			$message = $user->lang['SIDEBAR_SETTINGS_CHANGED'];

			set_config('sidebar_enable', $sidebar_enable);
			set_config('sidebar_latesttopics', $sidebar_latesttopics);
			set_config('sidebar_latestposts', $sidebar_latestposts);
			set_config('sidebar_bookmarks', $sidebar_bookmarks);
			set_config('sidebar_watchedtopics', $sidebar_watchedtopics);
			set_config('sidebar_avatars', $sidebar_avatars);
			set_config('sidebar_positions', $sidebar_positions);
						
			add_log('admin', 'LOG_SIDEBAR_SETTINGS_CHANGED');
			trigger_error($message . adm_back_link($this->u_action));
		}

		$template->assign_vars(array(
			'U_ACTION'				=> $this->u_action,
			'SIDEBAR_ENABLE'		=> $sidebar_enable,
			'SIDEBAR_LATESTTOPICS'	=> $sidebar_latesttopics,
			'SIDEBAR_LATESTPOSTS'	=> $sidebar_latestposts,
			'SIDEBAR_BOOKMARKS'		=> $sidebar_bookmarks,
			'SIDEBAR_WATCHEDTOPICS'	=> $sidebar_watchedtopics,
			'SIDEBAR_AVATARS'		=> $sidebar_avatars,
			'SIDEBAR_POSITIONS'		=> $sidebar_positions,
		));
	}
}

?>
