<?php
/**
*
* @package phpBB3 Sidebar
* @version $Id$
* @copyright (c) 2011 Pico
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

class ucp_sidebar
{
	var $u_action;

	function main($id, $mode)
	{
		global $config, $db, $user, $auth, $template, $phpbb_root_path, $phpEx;
		
		$user->add_lang('mods/sidebar');

		$submit		= (!empty($_POST['submit'])) ? true : false;
		$error = $data = array();

		switch ($mode)
		{
			case 'settings':

				$data = array(
					'user_sidebar'				=> request_var('user_sidebar', (bool) $user->data['user_sidebar']),
					'sidebar_latesttopics'		=> request_var('sidebar_latesttopics', (bool) $user->optionget('sidebar_latesttopics')),
					'sidebar_latestposts'		=> request_var('sidebar_latestposts', (bool) $user->optionget('sidebar_latestposts')),
					'sidebar_bookmarks'			=> request_var('sidebar_bookmarks', (bool) $user->optionget('sidebar_bookmarks')),
					'sidebar_watchedtopics'		=> request_var('sidebar_watchedtopics', (bool) $user->optionget('sidebar_watchedtopics')),
					'sidebar_avatars'			=> request_var('sidebar_avatars', (bool) $user->optionget('sidebar_avatars')),
				);

				add_form_key('ucp_sidebar');

				if ($submit)
				{
					if (!check_form_key('ucp_sidebar'))
					{
						$error[] = 'FORM_INVALID';
					}

					if (!sizeof($error))
					{
						$user->optionset('sidebar_latesttopics', $data['sidebar_latesttopics']);
						$user->optionset('sidebar_latestposts', $data['sidebar_latestposts']);
						$user->optionset('sidebar_bookmarks', $data['sidebar_bookmarks']);
						$user->optionset('sidebar_watchedtopics', $data['sidebar_watchedtopics']);
						$user->optionset('sidebar_avatars', $data['sidebar_avatars']);
						
						$sql_ary = array(
							'user_options'	=> $user->data['user_options'],
							'user_sidebar'	=> $data['user_sidebar'],
						);

						$sql = 'UPDATE ' . USERS_TABLE . '
							SET ' . $db->sql_build_array('UPDATE', $sql_ary) . '
							WHERE user_id = ' . $user->data['user_id'];
						$db->sql_query($sql);

						meta_refresh(3, $this->u_action);
						$message = $user->lang['PROFILE_UPDATED'] . '<br /><br />' . sprintf($user->lang['RETURN_UCP'], '<a href="' . $this->u_action . '">', '</a>');
						trigger_error($message);
					}

					// Replace "error" strings with their real, localised form
					$error = preg_replace('#^([A-Z_]+)$#e', "(!empty(\$user->lang['\\1'])) ? \$user->lang['\\1'] : '\\1'", $error);
				}
				
				$template->assign_vars(array(
					'ERROR'			=> (sizeof($error)) ? implode('<br />', $error) : '',

					'S_DISPLAY_SIDEBAR'		=> $data['user_sidebar'],
					'S_LATESTTOPICS'		=> $data['sidebar_latesttopics'],
					'S_LATESTPOSTS'			=> $data['sidebar_latestposts'],
					'S_BOOKMARKS'			=> $data['sidebar_bookmarks'],
					'S_WATCHEDTOPICS'		=> $data['sidebar_watchedtopics'],
					'S_AVATARS'				=> $data['sidebar_avatars'],
					'S_ELATESTTOPICS'		=> $config['sidebar_latesttopics'] ? true : false,
					'S_ELATESTPOSTS'		=> $config['sidebar_latestposts'] ? true : false,
					'S_EBOOKMARKS'			=> $config['sidebar_bookmarks'] ? true : false,
					'S_EWATCHEDTOPICS'		=> $config['sidebar_watchedtopics'] ? true : false,
					'S_EAVATARS'			=> $config['sidebar_avatars'] ? true : false,
				));
			break;

		}

		$template->assign_vars(array(
			'L_TITLE'			=> $user->lang['UCP_SIDEBAR'],
			'S_UCP_ACTION'		=> $this->u_action
		));

		// Set desired template
		$this->tpl_name = 'ucp_sidebar';
		$this->page_title = 'UCP_SIDEBAR';
	}
}

?>