<?php
/**
 *
 * @author Pico88 () 
 * @version $Id$
 * @copyright (c) 2011 
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 *
 */

/**
 * @ignore
 */
define('UMIL_AUTO', true);
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);

include($phpbb_root_path . 'common.' . $phpEx);
$user->session_begin();
$auth->acl($user->data);
$user->setup();


if (!file_exists($phpbb_root_path . 'umil/umil_auto.' . $phpEx))
{
	trigger_error('Please download the latest UMIL (Unified MOD Install Library) from: <a href="http://www.phpbb.com/mods/umil/">phpBB.com/mods/umil</a>', E_USER_ERROR);
}

/*
* The language file which will be included when installing
* Language entries that should exist in the language file for UMIL (replace $mod_name with the mod's name you set to $mod_name above)
* $mod_name
* 'INSTALL_' . $mod_name
* 'INSTALL_' . $mod_name . '_CONFIRM'
* 'UPDATE_' . $mod_name
* 'UPDATE_' . $mod_name . '_CONFIRM'
* 'UNINSTALL_' . $mod_name
* 'UNINSTALL_' . $mod_name . '_CONFIRM'
*/
$language_file = 'mods/info_acp_sidebar';

// The name of the mod to be displayed during installation.
$mod_name = 'ACP_SIDEBAR_INDEX_TITLE';

/*
* The name of the config variable which will hold the currently installed version
* UMIL will handle checking, setting, and updating the version itself.
*/
$version_config_name = 'sidebar_version';

/*
* The array of versions and actions within each.
* You do not need to order it a specific way (it will be sorted automatically), however, you must enter every version, even if no actions are done for it.
*
* You must use correct version numbering.  Unless you know exactly what you can use, only use X.X.X (replacing X with an integer).
* The version numbering must otherwise be compatible with the version_compare function - http://php.net/manual/en/function.version-compare.php
*/
$versions = array(
	'0.0.1' => array(
		'config_add' => array(
			array('sidebar_enable', '0', 0),
			array('sidebar_latesttopics', '1', 0),
			array('sidebar_latestposts', '1', 0),
			array('sidebar_bookmarks', '1', 0),
			array('sidebar_watchedtopics', '1', 0),
		),

		'module_add' => array(
			array('acp', 'ACP_CAT_DOT_MODS', 'ACP_SIDEBAR_INDEX_TITLE'),
			array('acp', 'ACP_SIDEBAR_INDEX_TITLE',
				array(
				'module_basename'	=> 'sidebar',
				'module_langname'   => 'ACP_SIDEBAR_INDEX_TITLE',
				'module_mode'       => 'index',
				'module_auth'       => 'acl_a_board',
				),
			),
		),
	),
	'0.0.2' => array(
		'config_add' => array(
			array('sidebar_positions', '5', 0),
			array('sidebar_avatars', '1', 0),
		),

		'table_column_add'	=> array(
			array('phpbb_users', 'user_sidebar', array('BOOL', true)),
		),
		
		'table_row_update' => array(
			array('phpbb_users', 
				array('user_options' => '230271',),
				array('user_options' => '15958910',),
			),
		),
		
		'module_add' => array(
			array('acp', 'ACP_CAT_USERS', array(
				'module_basename'	=> 'users',
				'module_enabled'	=> 1,
				'module_display'	=> 0,
				'module_langname'	=> 'ACP_USER_SIDEBAR',
				'module_mode'		=> 'sidebar',
				'module_auth'		=> 'acl_a_user',
				),
			),
			array('ucp', 'UCP_PREFS',
				array(
				'module_basename'	=> 'sidebar',
				'module_langname'   => 'UCP_SIDEBAR_CONFIG',
				'module_mode'       => 'settings',
				'module_auth'       => 'cfg_sidebar_enable',
				),
			),
		),
	),
);

// Include the UMIL Auto file, it handles the rest
include($phpbb_root_path . 'umil/umil_auto.' . $phpEx);